PATCH /v1/project-boards/{id}/share PATCH /v1/project-boards/{id}/share
Update board sharing settings
Datenmodell
Diese Operation arbeitet auf der Entität Project Board (project_board). Alle 22 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz .
Request Body
Name Typ Beschreibung visibilityerforderlich stringsharedWitherforderlich object[]
Pfad-Parameter
Name Typ Beschreibung iderforderlich string
Beispiel
curl -X PATCH https://api.codemeta-os.de/v1/project-boards/{id}/share \
-H "X-Tenant-Id: $TENANT " \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"visibility": "private",
"sharedWith": []
}' const result = await cm.project - boards. patch ({
"visibility" : "private" ,
"sharedWith" : []
});
Antwortcodes
HTTP
Bedeutung
200
Default Response
Beschreibung folgt
Diese Operation hat noch keine kuratierte Annotation. Der Inhalt wird beim nächsten Doku-Update ergänzt.